# $Revision: 1.10 $, $Date: 2008/07/27 22:20:53 $
Summary:	WindowMaker life progress meter
Summary(pl.UTF-8):	Monitor zużytego czasu życia dla WindowMakera
Name:		wmLifeMeter
Version:	0_4
Release:	3
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://www.samskivert.com/shaper/wmLifeMeter/%{name}-%{version}.tar.gz
# Source0-md5:	6b9efc5fc73afc584f9e23cd7a21cc53
URL:		http://www.samskivert.com/shaper/wmLifeMeter/
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A simple entertaining application for Linux that displays a person's
elapsed life as a real-time updating percentage to seven significant
digits such that the smallest digit ticks by while watched. Never
again let those precious seconds slip by un-noticed.

A great gift for those who have recently celebrated their 30th
birthday.

%description -l pl.UTF-8
Prosta aplikacja która wyświetla czas życia który upłynął danej osobie
jako uaktualniany na bieżąco do siódmej cyfry po przecinku licznik
procentowy, tak że widać jak kolejne cyfry zmieniają się w miarę
patrzenia. Nigdy więcej nie pozwól tym cennym sekundom upłynąć
niezauważonym.

Znakomity prezent dla tych którzy niedawno obchodzili 30. urodziny.

%prep
%setup -q -n %{name}

%build
cd src
%{__make} clean
%{__make} \
	CFLAGS="%{rpmcflags}" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

cd src
install wmLifeMeter $RPM_BUILD_ROOT%{_bindir}
install wmLifeMeter.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmLifeMeter.spec,v $
Revision 1.10  2008/07/27 22:20:53  arekm
- release 3

Revision 1.9  2007-02-12 22:09:20  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:37  baggins
- converted to UTF-8

Revision 1.7  2006/04/03 12:12:27  ankry
- reverted: no reason suggesting that only specific GPL version is appropriate
  see homepage

Revision 1.6  2006/04/02 19:02:15  megabajt
- rel 2

Revision 1.5  2006/04/02 18:04:49  megabajt
- added make clean before make

Revision 1.4  2006/04/02 13:11:00  megabajt
- modular xorg deps

Revision 1.3  2005/01/12 00:47:57  kolodko
- CC="%{__cc}"

Revision 1.2  2005/01/10 18:06:12  ankry
- formatting

Revision 1.1  2005/01/10 09:20:00  zagrodzki
- initial release
